> For the complete documentation index, see [llms.txt](https://docs.algomojo.com/algomojo/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.algomojo.com/algomojo/api/v1/cancel-all-order.md).

# Cancel All Order

To get characters you need to make a POST call to the following url :\
`https://amapi.algomojo.com/v1/CancelAllOrder`

\
**QUERY PARAMETERS**

| Request Parameter | Description   | Mandatory |
| ----------------- | ------------- | --------- |
| broker            | broker code   | Yes       |
| strategy          | Strategy Name | No        |

{% code title="# Here is a curl example" %}

```
-X POST https://amapi.algomojo.com/v1/CancelAllOrder
```

{% endcode %}

{% code title="Request example :" %}

```
{
"api_key":"your_api_key",
"api_secret":"your_api_secret",
"data":
{
"broker":"UP",
"strategy":"Test Strategy"
}
}
```

{% endcode %}

{% code title="Response example:" %}

```
[
{
 "status": "success",
 "data": {
     
      "orderid": "221109008669042"
 }
},
{
 "status": "success",
 "data": {

     "orderid": "221109008669042"
 }
}
]

```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.algomojo.com/algomojo/api/v1/cancel-all-order.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
